config.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Kernel
| Kernel functionality
namespace | Gecode::Kernel::MemoryConfig
| Parameters defining memory management policy for spaces.

## Macros

#define | GECODE_MEMORY_ALIGNMENT static_cast<size_t>(8U)
| Memory alignment.

## Functions

void | Gecode::Kernel::MemoryConfig::align (size_t &s, size_t a=GECODE_MEMORY_ALIGNMENT)
| Align size s to the required alignment a.

## Variables

const unsigned int | Gecode::Kernel::MemoryConfig::n_hc_cache = 4*4
| How many heap chunks should be cached at most.
const size_t | Gecode::Kernel::MemoryConfig::hcsz_min = 1024
| Minimal size of a heap chunk requested from the OS.
const size_t | Gecode::Kernel::MemoryConfig::hcsz_max = 32 * 1024
| Maximal size of a heap chunk requested from the OS.
const int | Gecode::Kernel::MemoryConfig::hcsz_inc_ratio = 8
| Increment ratio for chunk size.
const int | Gecode::Kernel::MemoryConfig::hcsz_dec_ratio = 8
| Decrement ratio for chunk size.
const int | Gecode::Kernel::MemoryConfig::fl_unit_size = ((sizeof(void*) == 4) ? 2 : 3)
| Unit size for free lists.
const int | Gecode::Kernel::MemoryConfig::fl_size_min = ((sizeof(void*) == 4) ? 2 : 2)
| Minimal size for free list element.
const int | Gecode::Kernel::MemoryConfig::fl_size_max = ((sizeof(void*) == 4) ? 3 : 3)
| Maximal size for free list element.
const int | Gecode::Kernel::MemoryConfig::fl_refill = 8
| Number of free lists elements to allocate.
const size_t | Gecode::Kernel::MemoryConfig::region_area_size = 32 * 1024
| Size of region area.

## Macro Definition Documentation

## GECODE_MEMORY_ALIGNMENT

#define GECODE_MEMORY_ALIGNMENT static_cast<size_t>(8U)

Memory alignment.

Memory alignment is controlled by the macro GECODE_MEMORY_ALIGNMENT. If it is not defined, it assumed to be 8. Otherwise, the defined value is used.

Definition at line 125 of file config.hpp.